module dmd.UnionDeclaration;

import dmd.StructDeclaration;
import dmd.Loc;
import dmd.Identifier;
import dmd.Dsymbol;

class UnionDeclaration : StructDeclaration
{
	this(Loc loc, Identifier id)
	{
		super(loc, id);
	}

	Dsymbol syntaxCopy(Dsymbol s)
	{
		UnionDeclaration ud;

		if (s)
			ud = cast(UnionDeclaration)s;
		else
			ud = new UnionDeclaration(loc, ident);
		StructDeclaration.syntaxCopy(ud);
		return ud;
	}

	string kind()
	{
		return "union";
	}

	UnionDeclaration isUnionDeclaration() { return this; }
}
